Subject: Re: [PATCH v6 4/4] selftests: tls: add two-node hardware offload test

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Feb 2026 18:52:20 -0800

On Tue,  3 Feb 2026 11:48:35 -0700 Rishikesh Jethwani wrote:
> Add tls_hw_offload, a test program for validating TLS hardware offload
> functionality across two physical nodes. Unlike existing selftests that
> use loopback or veth pairs, this test requires separate server and
> client machines to trigger actual NIC hardware offload.
> 
> Features:
>   - Server/client mode for two-node testing
>   - TLS 1.2 and TLS 1.3 support
>   - AES-GCM-128 and AES-GCM-256 cipher selection
>   - TLS 1.3 KeyUpdate (rekey) testing with configurable count
>   - Verification of /proc/net/tls_stat counters
>   - Echo protocol with data integrity verification
>   - Configurable buffer sizes (fixed or random)
> 
> The test validates that TLS connections use hardware offload by checking
> TlsTxDevice/TlsRxDevice counters, and verifies rekey operations through
> TlsTxRekeyOk/TlsRxRekeyOk counters. It accepts both hardware and software
> TLS paths, reporting which was used.

I appreciate the LLM tokens spent on this. Please get this rewritten 
to use our existing driver test setup instead of creating your own.
See tools/testing/selftests/drivers/net/README.rst and the existing
tests under tools/testing/selftests/drivers/net/hw/

Please switch to posting as RFC until we get a review from Sabrina,
the merge window is soon, anyways..